# Intel® Enhanced Privacy ID SDK: epid/member/request_join.c File Reference

request_join.c File Reference

EpidRequestJoin implementation. More...

`#include <epid/member/api.h>`
`#include <string.h>`
`#include "epid/common/epid2params.h"`
`#include "epid/common/math/finitefield.h"`
`#include "epid/common/math/ecgroup.h"`

## Data Structures

struct | JoinPCommitValues
| Storage for values to create commitment in Sign and Verify algorithms. More...

## Macros

#define | BREAK_ON_EPID_ERROR(ret)
| Handle SDK Error with Break. More...

## Functions

EpidStatus | EpidRequestJoin (GroupPubKey const *pub_key, IssuerNonce const *ni, FpElemStr const *f, BitSupplier rnd_func, void *rnd_param, HashAlg hash_alg, JoinRequest *join_request)
| Creates a request to join a group. More...
bool | EpidIsPrivKeyInGroup (GroupPubKey const *pub_key, PrivKey const *priv_key)
| Tests if a member private key is valid without checking revocation. More...

## Detailed Description

EpidRequestJoin implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle SDK Error with Break.